Skip to main content
PUT
/
v1
/
projects
/
{projectId}
/
agent
Update agent
curl --request PUT \
  --url https://api.pathors.com/v1/projects/{projectId}/agent \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "globalPrompt": "<string>",
  "timezone": "<string>",
  "memoryEnabled": true,
  "searchKnowledgeBaseEnabled": true,
  "promptModules": [
    {
      "name": "<string>",
      "description": "<string>",
      "content": "<string>",
      "enabled": true
    }
  ],
  "beforeStartConfig": {
    "enabled": true,
    "mode": "<string>",
    "toolTemplates": [
      {
        "toolName": "<string>",
        "toolId": "<string>",
        "parameters": {}
      }
    ]
  },
  "postSessionWebhook": {
    "url": "<string>",
    "headers": [
      {
        "key": "<string>",
        "value": "<string>"
      }
    ],
    "events": []
  },
  "postSessionVariableKeys": [
    "<string>"
  ],
  "postEvaluationConfig": {
    "enabled": true,
    "prompt": "<string>",
    "enumOptions": [
      "<string>"
    ],
    "numberConfig": {
      "min": 123,
      "max": 123
    }
  },
  "placeholderMessages": {
    "messages": {},
    "defaultLanguage": "<string>"
  },
  "variableConfigs": [
    {
      "key": "<string>",
      "type": "string",
      "description": "<string>"
    }
  ],
  "voiceIntelligence": {
    "ageEnabled": true,
    "genderEnabled": true,
    "voicemailDetectionEnabled": true,
    "languageDetectionEnabled": true
  }
}
'
{
  "data": {
    "name": "<string>",
    "type": "<string>",
    "status": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Developer key created from the dashboard (Settings → Developer Keys)

Path Parameters

projectId
string
required

The ID of your project

Body

application/json
name
string
Required string length: 1 - 16
type
enum<string>
Available options:
monolithic,
skill
status
enum<string>
Available options:
draft,
published
globalPrompt
string
executionMode
enum<string>
Available options:
smart,
turbo,
balance
timezone
string | null
memoryEnabled
boolean
searchKnowledgeBaseEnabled
boolean
promptModules
object[] | null
beforeStartConfig
object
postSessionWebhook
object
postSessionVariableKeys
string[] | null
postEvaluationConfig
object
placeholderMessages
object
variableConfigs
object[] | null
voiceIntelligence
object

Response

OK

data
object
required